
#ifndef DELAY_FLAG
#define DELAY_FLAG

/**
 * This function creates a delay in ms up to 1 second.
 *
 * @param value_ms Delay expressed in ms [min = 1, max = 1000]  
 *
 * @return void
 *
 * @note This is a blocking function.
 */

void delay_ms (int value_ms);


/**
 * This function creates a delay in seconds, up to 255s.
 *
 * @param value_s Delay expressed in ms [min = 1, max = 255]  
 *
 * @return void
 *
 * @note This is a blocking function.
 */
void delay_s (unsigned char value_s);


/**
 * This function sets the frequency value used to run the CPU.
 *
 * @param frequency Frequency exspressed in MHz (integer)
 *
 * @return void
 *
 * @note If this function is not called, the frequency default value is 20MHz.
 * @note Fractional values are not supported.
 */

void setQuartz (unsigned char frequency);


#endif