/* 
 * File:   main.c
 * Author: diego
 *
 * Created on 11 ottobre 2012, 22.14
 */


#include <p18f8722.h>
#include <GLCD_KS0108B.h>
#include <timers.h>



/** V A R I A B L E S ********************************************************/
#pragma udata

unsigned char secondi=0;
unsigned char minuti =0;
unsigned char ore = 0;
unsigned char time = 0;


#pragma config OSC = HS         // Internal RC oscillator (F/4 to OSC2 - pin 3)
#pragma config WDT = OFF        // Watchdog disabled
#pragma config LVP = OFF        // Disable Low Voltage Programming



void High_Int (void);             // ISR function prototype
#pragma code high_vector = 0x08   // Setup interrupt vector

void interrupt(void)
{ _asm GOTO High_Int _endasm }   // Jump to ISR function (in-line assembler)

#pragma code                     // Back to normal code
#pragma interrupt High_Int
void High_Int (void)
{if (PIR1bits.TMR1IF == 1)
  {PORTD+=1; // Increments LEDs status
  
          secondi++;
          if (secondi == 60)
          {
              minuti ++;
              secondi = 0;
          }
          if (minuti == 60)
          {
              ore++;
              minuti = 0;
          }
          if (ore == 24)
              ore=0;

   PIR1bits.TMR1IF = 0; // Clear interrupt status
   TMR1H = 0x7e;
}
}

#pragma code
int i = 0;


unsigned char timer[]="00:00:00";

void main(){
TRISD = 0x00;
PORTD = 0x01;
RCONbits.IPEN = 1;          // Enable priority levels on interrupts
INTCON2bits.INTEDG0 = 1;    // Interrupt on rising edge
PIE1bits.TMR1IE= 1;         // Enables INT1 interrupts
PIR1bits.TMR1IF = 0;        // Clear interrupt status
INTCONbits.GIEH = 1;       // Enables all interrupts (required even for LOW priority)

TMR1H = 0x7e;
OpenTimer1( TIMER_INT_ON &  T1_SOURCE_EXT & T1_PS_1_1 & T1_8BIT_RW);
OpenTimer0(TIMER_INT_OFF & T0_16BIT & T0_SOURCE_INT & T0_PS_1_1);

while(1)
{
    draw_picture_GLCD (logo_1);
    draw_window_GLCD ( 0, 0, 127, 63, FILLING_BLACK);
    draw_window_GLCD ( 2, 2, 123, 59, FILLING_BLACK);

    delay_ms (2000);
    clear_GLCD (FILLING_WHITE);

    write_message_GLCD (25,28,"Loading...   %");

    for (i = 0; i < 100 ; i+= 5) {
    write_integer_GLCD (90,28, i, 2);
    delay_ms (100);
    }

    clear_GLCD (FILLING_WHITE);
    write_message_GLCD (47,28,"BOOM...");
    delay_ms (300);
   }
}